/******************************************************************/
/* filename: cf_pe.h */
/* version : 1.00 */
/* author  : Jan Feenstra */
/******************************************************************/

/* declaration needed of cf_pe() */
#define NEW 5

struct pdu_Type
{
 char type;
 char data[sizeof(char)+DATALENGTH];
};

struct join_pdu_Type
{
 char type;
 char usertitle[USERTITLELENGTH];
 char confid[CONFIDLENGTH];
};

struct leave_pdu_Type
{
 char type;
 char usertitle[USERTITLELENGTH];
 char confid[CONFIDLENGTH];
};

struct answer_pdu_Type
{
 char type;
 char usertitle[USERTITLELENGTH];
 char confid[CONFIDLENGTH];
};

struct data_pdu_Type
{
 char type;
 char length;
 char data[DATALENGTH];
};

struct rtst_pdu_Type
{
 char type;
 int dstAddress;
 char usertitle[USERTITLELENGTH];
 char confid[CONFIDLENGTH];
};

struct partner_Type
{
 int msapid;
 char usertitle[USERTITLELENGTH];
};

struct conference_Type
{
 int active;
 char confid[CONFIDLENGTH];
 char usertitle[USERTITLELENGTH];
 struct partner_Type partner[MAXPARTNERS+1];
} conference;
